<?php
/**
 * @package			No Boss Extensions
 * @subpackage  	No Boss Banners
 * @author			No Boss Technology <contact@nobosstechnology.com>
 * @copyright		Copyright (C) 2018 No Boss Technology. All rights reserved.
 * @license			GNU Lesser General Public License version 3 or later; see <https://www.gnu.org/licenses/lgpl-3.0.en.html>
 */

defined('_JEXEC') or die;

$s = "";

if($banner->item_customization->image_filter){ 
    $s .=
        ".{$module->name} .banner-model1:before{
            {$banner->filter}
        }
    ";
} 
if($banner->item_customization->show_image_overlay){ 
    $s .=
        ".{$module->name} .banner-{$theme}[data-id='{$key}'] .nb-image__overlay img{
            {$banner->overlay_image_height}
        ";
            $s .= !empty(rtrim($banner->item_customization->overlay_image_css)) ? $banner->item_customization->overlay_image_css : '';
    $s .= "}";
} 
if($banner->item_customization->show_image_overlay){ 
$s .=
    "@media screen and (max-width: 992px){";
            $s .=
                ".{$module->name} .banner-{$theme}[data-id='{$key}'] .nb-image__overlay img{
                    {$banner->overlay_image_height_mobile}
                }
            ";
    $s .= "}";
}
$s .=
    "@media screen and (max-width: 767px){";
        $s .=
        ".{$module->name} .banner-model1[data-id='{$key}']{";
                if (!empty($banner->image_mobile) && $banner->show_image) { 
                    $s .= !empty($banner->image_mobile) ? $banner->image_mobile : ''; 
                }
                $s .= !empty($banner->height_mobile) ? $banner->height_mobile : ''; 
            $s .= "}";
        if($banner->item_customization->show_image_overlay){ 
            $s .=
                ".{$module->name} .banner-{$theme}[data-id='{$key}'] .nb-image__overlay img{";
                    $s .= !empty(rtrim($banner->item_customization->overlay_image_css_mobile)) ? $banner->item_customization->overlay_image_css_mobile : '';
            $s .= "}";
        }

        $s .=
            ".{$module->name} [data-id='{$key}'] .{$module->name}__title{
                {$banner->title_style_mobile}
            }
        ";
        $s .=
            ".{$module->name} [data-id='{$key}'] .{$module->name}__subtitle{
                {$banner->subtitle_style_mobile}
            }
        ";
$s .= "}";
// chama função que adiciona prefixo em todo o estilo que foi concatenado na variável $s 
$assetsObject->addStyleWithPrefix($s); 

?>

 