<?php
/**
 * @package			No Boss Extensions
 * @subpackage  	No Boss Banners
 * @author			No Boss Technology <contact@nobosstechnology.com>
 * @copyright		Copyright (C) 2018 No Boss Technology. All rights reserved.
 * @license			GNU Lesser General Public License version 3 or later; see <https://www.gnu.org/licenses/lgpl-3.0.en.html>
 */

defined('_JEXEC') or die;

$s = "";


if($banner->item_customization->image_filter){ 
    $s .=
        ".{$module->name}.{$module->name}:before{
            {$banner->filter}
        }
    ";
} 

if($banner->item_customization->show_image_overlay){ 
    $s .=
        ".{$module->name} .nb-banner-parallax[data-id='{$key}'] .nb-image__overlay img{
            {$banner->overlay_image_height}
        ";
        $s .= !empty(rtrim($banner->item_customization->overlay_image_css)) ? $banner->item_customization->overlay_image_css : '';
    $s .= "}";
} 

if(!empty($banner->button_style_hover)){
    $s .=
        ".{$module->name} .nb-banner-parallax[data-id={$key}] .nobossbanners__nb-caption .nb-banner-item-link:hover{
            {$banner->button_style_hover}
        }
    ";
} 
$s .=
"@media screen and (max-width: 767px){";
    // Define a imagem para mobile
    $s .=
        ".{$module->name} .nb-banner-parallax[data-id='{$key}']{";
            if (!empty($banner->image_mobile)) { 
                $s .= !empty($banner->image_mobile) ? $banner->image_mobile : ''; 
            }
            $s .= !empty($banner->height_mobile) ? $banner->height_mobile : ''; 
    $s .= "}";

    if($banner->item_customization->show_image_overlay){ 
        $s .=
            ".{$module->name} .nb-banner-parallax[data-id='{$key}'] .nb-image__overlay img{
                {$banner->overlay_image_height_mobile}
            ";
                $s .= !empty(rtrim($banner->item_customization->overlay_image_css_mobile)) ? $banner->item_customization->overlay_image_css_mobile : '';
        $s .= "}";
    }

    $s .=
        ".{$module->name} [data-id='{$key}'] .{$module->name}__title{
            {$banner->title_style_mobile}
        }
    ";
    $s .=
        ".{$module->name} [data-id='{$key}'] .{$module->name}__subtitle{
            {$banner->subtitle_style_mobile}
        }
    ";
$s .= "}";
// chama função que adiciona prefixo em todo o estilo que foi concatenado na variável $s 
$assetsObject->addStyleWithPrefix($s); 

?>
