<?php
/**
 * @package			No Boss Extensions
 * @subpackage  	No Boss Banners
 * @author			No Boss Technology <contact@nobosstechnology.com>
 * @copyright		Copyright (C) 2018 No Boss Technology. All rights reserved.
 * @license			GNU Lesser General Public License version 3 or later; see <https://www.gnu.org/licenses/lgpl-3.0.en.html>
 */

defined('_JEXEC') or die;
?>

<section class="<?php echo "{$module->name} {$module->name}--{$theme}"; ?>" <?php echo "module-id={$module->name}_{$module->id}"; ?>>
    <?php // Salva a primeira chave do array para colocar como item ativo
        $firstArrayKey = current(array_keys($banners));
        // Percorre os banners a serem exibidos
        foreach ($banners as $key => $banner) {  ?>
            <?php require JModuleHelper::getLayoutPath($extensionName, 'style/' . $theme); ?>
            <?php if (!empty($banner->image)) {  ?>
                <?php // Insere link na imagem ?>
                <?php if (!$banner->show_link == 'button'){ ?>
                    <a href="<?php echo $banner->link; ?>" target="<?php echo $banner->link_target; ?>">
                <?php } ?>
                    <div class="banner-<?php echo $theme; ?>" data-id="<?php echo $key; ?>" style="<?php echo $banner->background_style; ?>">
                    
                    <div class="nobossbanners__item--wrapper <?php echo (isset($banner->item_customization->add_container) && ($banner->item_customization->add_container)) ? 'nb-container' : ''; ?>">
                    <?php if(isset($banner->item_customization->content_display_mode)){?>
                        <div class="nobossbanners__item--inner <?php echo $banner->item_customization->content_display_mode ? $itemColumns : ''; ?>">
                    <?php }?>

                    <?php if($banner->item_customization->show_image_overlay && !empty($banner->item_customization->overlay_image)){ ?>
                            <div class="nb-image__overlay <?php echo $banner->item_customization->overlay_position;?>">
                                <img src="<?php echo $banner->item_customization->overlay_image; ?>" alt="" style="<?php echo (isset($banner->item_customization->z_index_image_overlay) && ($banner->item_customization->z_index_image_overlay)) ? 'z-index: 4;' : ''; ?>">
                            </div>
                        <?php } ?>
                    
                        <?php // Exibicao de texto e botão em caixa sobre a imagem ?>
                        <?php require JModuleHelper::getLayoutPath('mod_nobossbanners', 'common/content'); ?>
                    </div>
                    </div>
                <?php if(isset($banner->item_customization->content_display_mode)){?>
                </div>
                <?php }?>
                <?php // Insere link na imagem ?>
                <?php if (!$banner->show_link == 'button'){ ?>
                    </a>
                <?php } ?>
            <?php } ?>
        <?php } ?>
</section>

